% canine
clear
figure_=5;
fig_=figure(figure_);
clf,
hold on
filename_='MineckMuscleInfo.xls';
rowstrt_=3;
rowend_=25;
rows_=rowstrt_:rowend_;
rows_=[3:5,13:25]

try         % is EXCEL open?   
    channel = ddeinit('excel',filename_);
    range_=['r' num2str(rowstrt_) 'c1'];
    tmp_= ddereq(channel,range_,[1 1]); % Note the format array, first 1...
    % is default, second 1 is for text (0 for number)  
catch       % open EXCEL
    tmp_=pwd;
    eval(['!' tmp_ '\' filename_ ' &'])
    disp('... waiting for excel to open...')
    pause(1.25),disp(' . '),pause(1.25),disp(' . ')
    pause(1.25),disp(' . '),pause(1.25),disp('...continuing...'),
    
    channel = ddeinit('excel',filename_);
    range_=['r' num2str(rowstrt_) 'c1'];
    tmp_= ddereq(channel,range_,[1 1]); % Note the format array, first 1...
    % is default, second 1 is for text (0 for number)  
end

for n=1:length(rows_)
    range_=['r' num2str(rows_(n)) 'c1'];
    tmp_= ddereq(channel,range_,[1 1]); % Note the format array, first 1...
    % is default, second 1 is for text (0 for number)  
    filenameMus_{n}={tmp_(1:end-1)};   % an extra space was at the end
    
    range_=['r' num2str(rows_(n)) 'c2'];
    tmp_= ddereq(channel,range_,[1 1]); % Note the format array, first 1...
    % is default, second 1 is for text (0 for number)  
    descriptMus_{n}={tmp_(1:end-1)};   % an extra space was at the end
    
    range_=['r' num2str(rows_(n)) 'c' num2str(3)...
            ':r' num2str(rows_(n)) 'c' num2str(5)];
    tmp_= ddereq(channel,range_);     %columns
    % assign insertion positions
    rowstrtMus_= tmp_(1);,rowendMus_= tmp_(2);,columnMus_= tmp_(3);
    tmp_=descriptMus_{n};tmp2_=filenameMus_{n};
    name_=[tmp_{1} '=getMineck_f(' '''' tmp2_{1} '''' ',' num2str(rowstrtMus_)...
            ',' num2str(rowendMus_) ',' num2str(columnMus_) ');' ];
    eval(name_)
    if columnMus_==5
        var_=['xo=' tmp_{1} '.xo_;,' ...
                'yo=' tmp_{1} '.yo_;,' ...
                'zo=' tmp_{1} '.zo_;,'];
        eval(var_)
        tmp_=tmp_{1};    %%% remove underscore, replace with '.'    
        for m=1:length(tmp_)
            if tmp_(m)=='_',tmp_(m)='.';,end
        end
        figure(figure_)
        hold on
        if length(xo)>1
            plot3(xo,yo,zo,'r'),text(xo(1),yo(1),zo(1),[tmp_])
        else
            plot3(xo,yo,zo,'rx'),text(xo,yo,zo,[tmp_])
        end
    else
        var_=['xo=' tmp_{1} '.xo_;,' ...
                'yo=' tmp_{1} '.yo_;,' ...
                'zo=' tmp_{1} '.zo_;,'];
        eval(var_)
        var_=['xi=' tmp_{1} '.xi_;,' ...
                'yi=' tmp_{1} '.yi_;,' ...
                'zi=' tmp_{1} '.zi_;,'];
        eval(var_)        
        tmp_=tmp_{1};    %%% remove underscore, replace with '.'    
        for m=1:length(tmp_)
            if tmp_(m)=='_',tmp_(m)='.';,end
        end
        plotBundles_f(xi,yi,zi,xo,yo,zo,60,60,figure_)
        text(xo(1),yo(1),zo(1),[tmp_])
    end
end

disp(' '), disp('    COMPLETE     ')

fig_=figure(figure_);, hold off


tmp=filenameMus_{1};tmp=tmp{1};
outname_=['save ' tmp(1:end-4) '__rng_' num2str(rowstrt_) '_' num2str(rowend_)];
eval(outname_)
saveas(fig_,outname_(6:end),'fig')
print(fig_,'-dbmp', outname_);


